% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/upset.R
\name{getEnrichmentsIntersection}
\alias{getEnrichmentsIntersection}
\title{getEnrichmentsIntersection}
\usage{
getEnrichmentsIntersection(
  study,
  modelID,
  annotationID,
  mustTests,
  notTests,
  sigValue,
  operator,
  type
)
}
\arguments{
\item{study}{An OmicNavigator study. Either an object of class \code{onStudy},
or the name of an installed study package.}

\item{modelID}{Filter by modelID}

\item{annotationID}{Filter by annotation}

\item{mustTests}{The tests whose significant values must be included. (The intersection)}

\item{notTests}{The tests whose significant values will be removed. (The difference)}

\item{sigValue}{The significance levels for each column.}

\item{operator}{The operators for each column.}

\item{type}{Type of p-value (\code{"nominal"} or \code{"adjusted"})}
}
\value{
Returns a data frame with the enrichments, similar to
  \code{\link{getEnrichmentsTable}}. Only rows that pass all the filters are
  included.
}
\description{
getEnrichmentsIntersection
}
\seealso{
\code{\link{getEnrichmentsTable}}
}
